import java.awt.*;
class Main extends Frame {
    Main() {
        super("FontMetrics Example");
        resize(150, 75);
        show();
    }

    public void paint(Graphics g) {
        Font f = new Font("Courier", Font.ITALIC+Font.BOLD, 18);
        FontMetrics fm = g.getFontMetrics(f);
        int y = 0;

        g.setColor(Color.blue);
        g.setFont(f);
        g.drawString("First Line", 0, y + fm.getAscent());
        y += fm.getHeight();
        g.drawString("Second Line", 0, y + fm.getAscent());
    }

    public static void main(String[] args) {
        new Main();
    }
}
