import java.awt.*;
public class Main {
    static void makeButton(Container cont, String label, 
            GridBagConstraints c, int fill) {
        GridBagLayout gbl = (GridBagLayout)cont.getLayout();
        Button b = new Button(label);

        cont.add(b);
        c.fill = fill;
        gbl.setConstraints(b, c);
    }

    static public void main(String[] args) {
        GridBagLayout gbl = new GridBagLayout();
        GridBagConstraints c = new GridBagConstraints();
        Frame f = new Frame("fill Example");
 
        f.setLayout(gbl);
        c.weightx = 1;
        c.weighty = 1;
        makeButton(f, "none", c, GridBagConstraints.NONE);
        c.gridwidth = GridBagConstraints.REMAINDER;
        makeButton(f, "horizontal", c, GridBagConstraints.HORIZONTAL);
        c.gridwidth = 1;    // Restore default value.
        makeButton(f, "vertical", c, GridBagConstraints.VERTICAL);
        makeButton(f, "both", c, GridBagConstraints.BOTH);
        f.resize(200, 200);
        f.show();
    }
}
