import java.awt.*;
public class Main extends Frame {
    GridBagLayout gbl = new GridBagLayout();

    Main() {
        super("weightx Example");
        setLayout(gbl);
        for (int i=0; i<5; i++) {
            makeButton(i);
        }
        resize(300, 150);
        show();
    }

    void makeButton(int w) {
        GridBagConstraints c = new GridBagConstraints();
        Button b = new Button("" + w);

        c.weightx = w;
        c.weighty = 1;
        c.fill = GridBagConstraints.BOTH;
        gbl.setConstraints(b, c);
        add(b);
    }

    public boolean action(Event evt, Object arg) {
        Button b = (Button)evt.target;
        GridBagConstraints gbc = gbl.getConstraints(b);

        if (++gbc.weightx > 4) {
            gbc.weightx = 0;
        }
        gbl.setConstraints(b, gbc);
        b.setLabel("" + gbc.weightx);
        invalidate();
        validate();
        return true;
    }

    static public void main(String[] args) {
        new Main();
    }
}
