import java.awt.*;
class Main extends Frame {

    Main(String title) {
        super(title);
        MenuBar mb = new MenuBar();
        Menu menu = new Menu("File");

        menu.add("New");
        menu.add("Open...");
        mb.add(menu);

        menu = new Menu("Edit");
        menu.add("Copy");
        menu.add("Paste");
        mb.add(menu);

        setMenuBar(mb);

        add("West", new Button("Enable"));
        add("East", new Button("Disable"));

        pack();
        show();
    }

    static public void main(String[] args) {
        Main m = new Main("countMenus Example");
    }

    void enableMenuItems(boolean enable) {
        for (int i=0; i<getMenuBar().countMenus(); i++) {
            Menu menu = getMenuBar().getMenu(i);
            for (int j=0; j<menu.countItems(); j++) {
                MenuItem menuitem = menu.getItem(j);
                menuitem.enable(enable);
            }
        }
    }

    public boolean action(Event evt, Object what) {
        boolean enable = "Enable".equals(what);

        if (enable || "Disable".equals(what)) {
            enableMenuItems(enable);
            return true;
        }
        return false;
    }
}
