import java.awt.*;
class Main extends Frame {
    TextField tf = new TextField();
    TextArea ta = new TextArea(10, 40);

    Main() {
        super("select Example");
        add("Center", ta);
        add("South", tf);
        pack();
        show();
    }

    public boolean action(Event evt, Object what) {
        if (evt.target == tf) {
            String str = tf.getText();
            int s = ta.getText().indexOf(str, ta.getSelectionStart());

            if (s < 0 && ta.getSelectionStart() > 0) {
                // Let's try from the beginning.
                s = ta.getText().indexOf(str, 0);
            }
            if (s >= 0) {
                ta.select(s, s + str.length());
                ta.requestFocus();
            }
            return true;
        }
        return false;
    }

    static public void main(String[] args) {
        new Main();
    }
}
