import java.awt.*;
class Main extends Frame {
    Main() {
        super("Toolkit Example");
        Dimension d = Toolkit.getDefaultToolkit().getScreenSize();

        resize(200, 200);
        move((d.width-bounds().width)/2, (d.height-bounds().height)/2);
        show();
    }

    public void paint(Graphics g) {
        FontMetrics fm = g.getFontMetrics();
        int resol = Toolkit.getDefaultToolkit().getScreenResolution();
        Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
        int y = fm.getAscent();

        g.drawString("screen resolution = "+resol, 0, y);
        y += fm.getHeight();
        g.drawString("screen width = " 
            + ((double)d.width/resol) + " \"", 0, y);
        y += fm.getHeight();
        g.drawString("screen height = " 
            + ((double)d.height/resol) + " \"", 0, y);
    }

    public static void main(String[] args) {
        new Main();
    }
}