import java.io.PushbackInputStream;
import java.io.IOException;
import java.util.Vector;

class Main {
    // read a stream and parse it into a sequence of numeric or string
    // tokens
    public static void main(String[] args) {
        Vector vec = new Vector();
        PushbackInputStream pushin = new PushbackInputStream(System.in);
        boolean eof;
        while (true) {
            if (eof = readNumber(pushin, vec))
                break;
            if (eof = readString(pushin, vec))
                break;
        }
        System.out.println(vec);
    }
    private static boolean readNumber(PushbackInputStream in, Vector vec) {
        StringBuffer sb = new StringBuffer();
        int c = -1;
        // read number
        try {
            for (c = in.read(); c >= 0; c = in.read()) {
                if (Character.isDigit((char)c)) {
                    sb.append((char)c);
                } else {
                    in.unread(c);
                    break;
                }
            }
        } catch (IOException e) {
        }
        if (sb.length() > 0)
            vec.addElement(Integer.valueOf(sb.toString()));
        return (c == -1);
    }
    private static boolean readString(PushbackInputStream in, Vector vec) {
        StringBuffer sb = new StringBuffer();
        int c = -1;
        try {
            for (c = in.read(); c >= 0; c = in.read()) {
                if (Character.isDigit((char)c)) {
                    in.unread(c);
                    break;
                } else if (Character.isSpace((char )c))
                    break;
                else
                    sb.append((char)c);
            }
        } catch (IOException e) {
        }
        vec.addElement(sb.toString());
        return (c == -1);
    }
}
