import java.awt.*;
class Main extends Frame {
    Button bt = new Button("Button");
    TextField tf = new TextField(40);

    Main() {
        super("setLabel Example");
        add("Center", new Canvas());
        add("West", bt);
        add("South", tf);
        tf.setText(bt.getLabel());    // init with current label
        pack();
        show();
    }

    public boolean action(Event evt, Object what) {
        if (evt.target == tf) {
            bt.setLabel(tf.getText());

            // the size has change so get parent to validate itself.
            bt.getParent().invalidate();
            bt.getParent().validate();
            return true;
        }
        return false;
    }
    static public void main(String[] args) {
        new Main();
    }
} 
