import java.awt.*;

class Main extends Frame {
    Main() {
        super("FlowLayout Example");
        List list = new List();

        setLayout(new FlowLayout(FlowLayout.RIGHT));
        add(new Button("LEFT"));
        list.addItem("List");
        add(list);
        add(new Button("RIGHT"));
        add(new Button("CENTER"));
        add(new Button("4"));
        add(new Button("5"));
        resize(100, 200);
        show();
    }
    public boolean action(Event evt, Object what) {
        FlowLayout l = null;
        if ("LEFT".equals(what)) {
            l = new FlowLayout(FlowLayout.LEFT);
        } else if ("CENTER".equals(what)) {
            l = new FlowLayout(FlowLayout.CENTER);
        } else if ("RIGHT".equals(what)) {
            l = new FlowLayout(FlowLayout.RIGHT);
        }
        if (l != null) {
            setLayout(l);
            invalidate();
            validate();
            return true;
        }
        return false;
    }
    public static void main(String[] args) {
        new Main();
    }
}
