import java.awt.*;
class Main extends Frame {
    // The contructor creates a frame with a window size that gives
    // the desired interior size.
    Main() {
        super("Frame Example");
        // Calling addNotify() creates the peers; otherwise insets()
        // does not return the right values.
        addNotify();

        Insets insets = insets();
        resize(insets.left + insets.right + 150,  
                 insets.top + insets.bottom + 150);
    }
    public boolean mouseDown(Event evt, int x, int y) {
        // x, y are in interior coordinates and must be translated
        // first to window coordinates and then to screen coordinates.
        Insets insets = insets();
        Rectangle bounds = bounds();
        Main m = new Main();

        x += insets.left + bounds.x;
        y += insets.top + bounds.y;
        m.move(x, y);
        m.show();
        return true;
    }
    static public void main(String[] args) {
        (new Main()).show();
    }
}
