import java.awt.*;
class Main extends Frame {
    MenuBar mb1 = new MenuBar();
    MenuBar mb2 = new MenuBar();

    Main(String title) {
        super(title);
        Menu menu;

        menu = new Menu("Menu bar 1");
        menu.add("One");
        mb1.add(menu);
        setMenuBar(mb1);

        menu = new Menu("Menu bar 2");
        menu.add("Two");
        mb2.add(menu);

        add("West", new Button("Menu bar 1"));
        add("East", new Button("Menu bar 2"));
        pack();
        show();
    }

    public boolean action(Event evt, Object what) {
        if ("Menu bar 1".equals(what)) {
            setMenuBar(mb1);
            return true;
        } else if("Menu bar 2".equals(what)) {
            setMenuBar(mb2);
            return true;
        }
        return false;
    }

    static public void main(String[] args) {
        Main m = new Main("setMenuBar Example");
    }
}
