import java.awt.*;
class Main extends Frame {
    Polygon polygon = new Polygon();

    Main() {
        super("drawPolygon Example");
        resize(200, 200);
        show();
    }

    public void paint(Graphics g) {
        g.drawPolygon(polygon);
    }
    
    // The default update method clears the screen which causes 
    // flicker.  This override avoids this.
    public void update(Graphics g) {
        paint(g);
    }

    public boolean mouseDown(Event evt, int x, int y) {
        polygon.addPoint(x, y);
        repaint();
        return true;
    }

    public boolean mouseDrag(Event evt, int x, int y) {
        polygon.addPoint(x, y);
        repaint();
        return true;
    }

    static public void main(String[] args) {
        new Main();
    }
}
