import java.awt.*;
class Main extends Frame {
    MenuItem mi = new MenuItem("One");

    Main() {
        super("setLabel Example");
        MenuBar mb = new MenuBar();
        Menu m = new Menu("Menu");

        // Add menu item.
        m.add(mi);

        // Add the two buttons.
        add("West", new Button("One"));
        add("East", new Button("Two"));

        // Set the menu bar on the frame.
        mb.add(m);
        setMenuBar(mb);
        pack();
        show();
    }

    public boolean action(Event evt, Object what) {
        if (evt.target instanceof Button) {
            mi.setLabel((String)what);
            return true;
        }
        return false;
    }

    static public void main(String[] args) {
        new Main();
    }
}
