import java.awt.*;
class Main extends Frame {
    CardLayout cardLayout = new CardLayout();
    Panel cardPanel = new Panel();
    String[] names = {"one", "two", "three", "four"};

    Main() {
        super("Panel Example");
        Panel p = new Panel();

        p.setLayout(new GridLayout(0, 1));
        for (int i=0; i<names.length; i++) {
            p.add(new Button(names[i]));
        }
        add("West", p);

        cardPanel.setLayout(cardLayout);
        for (int i=0; i<names.length; i++) {
            addPanel(cardPanel, i+1);
        }
        add("Center", cardPanel);
        resize(300, 150);
        show();
    }

    // Creates a panel with 'count' buttons.
    void addPanel(Panel parent, int count) {
        Panel p = new Panel();
        for (int i=0; i<count; i++) {
            p.add(new Button(names[i]));
        }
        parent.add(names[count-1], p);
    }
        
    public boolean action(Event evt, Object what) {
        cardLayout.show(cardPanel, (String)what);
        return true;
    }

    static public void main(String[] args) {
        new Main();
    }
}
