import java.awt.*;
class Main extends Frame {
    PopupMenu pm;

    Main() {
        super("Window Example");
        resize(100, 100);
        show();
    }

    public boolean mouseDown(Event evt, int x, int y) {
        if (evt.target == this) {
            Rectangle r = bounds();

            pm = new PopupMenu(this);
            pm.reshape(r.x + x + insets().left, 
		      r.y + y + insets().top, 50, 100);
            pm.show();
            return true;
        }
        return false;
    }

    public boolean mouseUp(Event evt, int x, int y) {
        if (pm != null) {
            pm.dispose();
	    pm = null;
            return true;
        }
        return false;
    }

    static public void main(String[] args) {
        new Main();
    }
}

class PopupMenu extends Window {
    PopupMenu(Frame f) {
        super(f);
    }

    public void paint(Graphics g) {
        FontMetrics fm = g.getFontMetrics();
        String s = "Popup Menu";

        g.drawString(s, (size().width-fm.stringWidth(s))/2,
            (size().height-fm.getHeight())/2 + fm.getAscent());
    }
}